Bug 500663 - System reboot / X hangs on Intel Q45
System reboot / X hangs on Intel Q45
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
11
i686 Linux
low Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
card_Q45/Q43
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-13 11:42 EDT by Markus Schade
Modified: 2018-04-11 03:23 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:31:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Dmesg Output (32.68 KB, text/plain)
2009-05-13 11:42 EDT, Markus Schade
no flags Details
Xorg Log (50.25 KB, text/plain)
2009-05-13 11:42 EDT, Markus Schade
no flags Details
xorg.conf (2.29 KB, text/plain)
2009-05-13 11:43 EDT, Markus Schade
no flags Details

  None (edit)
Description Markus Schade 2009-05-13 11:42:29 EDT
Created attachment 343793 [details]
Dmesg Output

Description of problem:

Version-Release number of selected component (if applicable):
kernel-PAE-2.6.29.2-126.fc11.i686
xorg-x11-drv-intel-2.7.0-4.fc11.i586

also with:
kernel-PAE-2.6.29.3-142.fc11.i686
xorg-x11-drv-intel-2.7.0-5.fc11.i586

lspci | grep VGA
00:02.0 VGA compatible controller: Intel Corporation 4 Series Chipset Integrated Graphics Controller (rev 03)

How reproducible: always

Steps to Reproduce:
1. without kernel option "nomodeset" no display at all after grub
2. with "nomodeset" kernel boots until X starts, then reboots
3. booting into runlevel 3 and starting X manually may or may not cause a reboot (if not automatically rebooting, display remains black)
4. if machine does not lock up, it's still possible to kill X which renders into dmesg the following:

[drm:i915_gem_idle] *ERROR* hardware wedged
[drm:i915_get_vblank_counter] *ERROR* trying to get vblank count for disabled pipe 1

The results are identical with and without an xorg.conf. With and without e.g Option "AccelMethod" "exa"
Comment 1 Markus Schade 2009-05-13 11:42:59 EDT
Created attachment 343794 [details]
Xorg Log
Comment 2 Markus Schade 2009-05-13 11:43:24 EDT
Created attachment 343795 [details]
xorg.conf
Comment 3 Markus Schade 2009-05-13 11:44:39 EDT
[root@f11-test ~]# intel_gpu_dump
ringbuffer: Reminder: head pointer is GPU read, tail pointer is CPU write
Warning: Ignoring unrecognized line at /sys/kernel/debug/dri/0/i915_ringbuffer_data:1:
No ringbuffer setup
Comment 4 Sami Farin 2009-05-18 09:58:53 EDT
(--) PCI:*(0@0:2:0) Intel Corporation 82Q963/Q965 Integrated Graphics Controller rev 2, Mem @ 0xd0200000/1048576, 0xc0000000/268435456, I/O @ 0x00002410/8, BIOS @ 0x????????/131072

xorg-x11-server-Xorg-1.6.1-6.x86_64
kernel 2.6.29.3
xorg-x11-drv-intel-2.7.0-4.x86_64
libdrm-2.4.9

I am using UXA, no modeset.  Every two to three days Xorg freezes and I have to kill it with sysrq+k, sysrq+r, then when I try to restart Xorg, screen is black, and I get in the logs:

Fatal server error:
Failure to wait for IRQ: Device or resource busy

(Nothing in Xorg logs when it freezes.)

<6>[326104.526642] SysRq : SAK
<5>[326104.526697] SAK: killed process 4699 (X): task_session_nr(p)==tty->session
<5>[326104.527085] SAK: killed process 4699 (X): task_session_nr(p)==tty->session
<3>[326106.029015] [drm:i915_gem_idle] *ERROR* hardware wedged
<3>[326106.029994] [drm:i915_get_vblank_counter] *ERROR* trying to get vblank count for disabled pipe 1
<3>[326145.499079] [drm:i915_gem_entervt_ioctl] *ERROR* Reenabling wedged hardware, good luck
<3>[326148.847143] [drm:i915_wait_irq] *ERROR* EBUSY -- rec: 200190 emitted: 200191
<3>[326151.858137] [drm:i915_wait_irq] *ERROR* EBUSY -- rec: 200190 emitted: 200192
<3>[326152.999133] [drm:i915_gem_idle] *ERROR* hardware wedged
<3>[326152.999248] [drm:i915_get_vblank_counter] *ERROR* trying to get vblank count for disabled pipe 1
Comment 5 Markus Schade 2009-06-02 09:13:48 EDT
Since xorg-x11-drv-intel-2.7.0-7.fc11.i586 the reboots are gone. However without 'nomodeset' the chosen X resolution is smaller (1024x786) than with the option present. Additionally no output (monitor says no signal) is display until X starts.

The installer (anaconda) from June 1st still won't start X without the vesa option.
Comment 6 Bug Zapper 2009-06-09 11:45:35 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Ralph Siemsen 2009-09-11 17:31:45 EDT
Continues to happen even with all F11 updates applied:
kernel 2.6.30.5-43.fc11.i686.PAE  with "nomodeset" option
xorg-x11-drv-intel-2.7.0-7.fc11.i586
Not using compiz.  xorg.conf contains only "DontZap" "false".

After trying to restart X (sometimes it works, sometimes not):
Sep 11 17:12:34 abc kernel: [drm:i915_gem_idle] *ERROR* hardware wedged
Sep 11 17:12:34 abc kernel: [drm:i915_get_vblank_counter] *ERROR* trying to get vblank count for disabled pipe 0
Sep 11 17:12:34 abc kernel: [drm:i915_get_vblank_counter] *ERROR* trying to get vblank count for disabled pipe 1
Sep 11 17:12:35 abc kernel: [drm:i915_gem_entervt_ioctl] *ERROR* Reenabling wedged hardware, good luck

Anything I can do to help debug this?  My box locked 6 times today.  The same hardware was solid in F8.

00:02.0 VGA compatible controller: Intel Corporation 82G33/G31 Express Integrated Graphics Controller (rev 02) (prog-if 00 [VGA controller])
	Subsystem: ASUSTeK Computer Inc. Device 8276
	Flags: bus master, fast devsel, latency 0, IRQ 26
	Memory at fe900000 (32-bit, non-prefetchable) [size=512K]
	I/O ports at dc00 [size=8]
	Memory at d0000000 (32-bit, prefetchable) [size=256M]
	Memory at fe800000 (32-bit, non-prefetchable) [size=1M]
	Expansion ROM at <unassigned> [disabled]
	Capabilities: [90] MSI: Enable+ Count=1/1 Maskable- 64bit-
	Capabilities: [d0] Power Management version 2
	Kernel modules: i915
Comment 9 Matěj Cepl 2009-11-05 13:29:13 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 10 Ralph Siemsen 2009-11-05 17:17:06 EST
I gave up waiting and replaced the video card with a cheap ATI Radeon HD 4350.
So I don't know if the bug is still present, sorry.

FWIW, the yum-upgrade command suggested in Comment 9 does not show any additional Xorg components.  It only offers upgrades for ffmpeg-libs and vlc, all from the rpmfusion repository.  I don't think any of these would have any relevance to this bug.
Comment 11 Robert McBroom 2009-12-17 12:24:05 EST
Complete driver failure in F12.  All install systems lock on starting X--DVD,
netinstall, LiveCD.  Intel 82945G/GZ Integrated Graphics Controller

Accessing an alternate vt text console with the LiveCD and creating an xorg.conf using
the "vesa" driver allowed installation.

system-config-display locks the system.

Using the "vesa" driver but it is limited.  Cannot get multiple consoles.
Comment 12 Matěj Cepl 2010-02-26 07:17:39 EST
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]
Comment 13 Aram Agajanian 2010-03-10 23:14:11 EST
On a Dell Optiplex 960 (with a Q45 Express chipset), Fedora 11 with the latest updates seems to be OK with KMS.
Comment 14 Bug Zapper 2010-04-27 10:18:45 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Bug Zapper 2010-06-28 08:31:39 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 16 Markus Schade 2014-09-15 08:57:08 EDT
As this keeps nagging me, with needinfo, I will just answer, that I have no longer this board

Note You need to log in before you can comment on or make changes to this bug.